<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <strong *ngIf="id; else newTitle">Edit Category</strong>
        <ng-template #newTitle>
          <strong>New Category</strong>
        </ng-template>
      </div>
      <form [formGroup]="category" (ngSubmit)="onSubmit()">
        <div class="card-body">
          <div class="form-group">
            <label class="form-col-form-label" for="name">Name</label>
            <input type="text" class="form-control" id="name" formControlName="name">
          </div>
        </div>
        <div class="card-footer">
          <button type="submit" class="btn btn-sm btn-primary" [disabled]="category.invalid"><i class="fa fa-dot-circle-o"></i> Submit</button>
          <button type="reset" class="btn btn-sm btn-danger" (onClick)="onReset()"><i class="fa fa-ban"></i> Reset</button>
        </div>
      </form>
    </div>
  </div>
</div>
